//Mixin Flex

@mixin flex(
  $align: center,
  $justify: center,
  $text-align: center,
  $direction: row
) {
  display: flex;
  flex-direction: $direction;
  align-items: $align;
  justify-content: $justify;
  text-align: $text-align;
}

// Mixin Text Overflow

@mixin text-overflow(
  $overflow: hidden,
  $webkit-l-c: 1,
  $webkit-b-o: vertical,
  $display-w: -webkit-box
) {
  overflow: $overflow;
  -webkit-line-clamp: $webkit-l-c;
  -webkit-box-orient: $webkit-b-o;
  display: $display-w;
}

// Gradient Color Text

@mixin gradient-color(
  $background: linear-gradient(to right, #33bcec, #a784fd),
  $background-clip: text,
  $webkit-text-fill-color: transparent,
  $display: table
) {
  background: $background;
  -webkit-background-clip: $background-clip;
  -webkit-text-fill-color: $webkit-text-fill-color;
  display: $display;
}

// Gradient Color Bg

@mixin gradient-bg-primary(
  $background: linear-gradient(180deg, #bcd4f9 60%, #ffffff 100%)
) {
  background: $background;
}

@mixin gradient-bg-secondary(
  $background: linear-gradient(to right, #33bcec, #a784fd)
) {
  background: $background;
}

// :After Modal Icons

@mixin after_modal-icons {
  content: "";
  background-repeat: no-repeat;
  display: block;
  width: 20px;
  height: 25px;
  position: absolute;
  top: 15px;
  left: 20px;
}
